-- ==========================================
-- 작업일자: 2026-06-22 
-- 작 성 자: 류호성
-- 작업목적: [전자결재완료건을 결재상태를 접수상태로 수정하여 검토부서로 결재 상신 가능한 상태로 수정한다.]
-- 요청자/티켓번호: [전미현과장 / 요청번호 5953번]
-- 데이타베이스 : MY-SQL
-- ==========================================

-- [0] 결재정보에서 해당 전표번호로 조회하여 RT_Sanction(결재라인설정), RT_SanctionState(결재상태) 내용 확인하기 
SELECT * FROM sanctiondoc_tbl WHERE detail2 LIKE '20260530-XE48-0002%'  

-- [1] 결재진행상태 정보에서 해당 문서번호로 조회하여 결재상태 확인하기 
SELECT * FROM sanctionstate_tbl WHERE docsn = '2026-11633-HF02560'  

-- [2] 결재정보에서 RT_Sanction(결재라인설정), RT_SanctionState(결재상태)를 접수(RECEIVE) 가능한 상태로 수정하기
/*
START TRANSACTION;

UPDATE 
    sanctiondoc_tbl 
SET 
    RT_Sanction = SUBSTRING(RT_Sanction, 1, INSTR(RT_Sanction,'RECEIVE')+6)
    , RT_SanctionState = REPLACE(RT_SanctionState, '11:FINISH', '6:RECEIVE') 
WHERE 
    docsn = '2026-11633-HF02560';

-- 결과가 올바르다면 반영, 잘못되었다면 되돌리기(ROLLBACK)
-- COMMIT; 
-- ROLLBACK;      
*/

-- [3] 결재상태정보에서 생성된 RECEIVE 행 삭제 - 참고)하위의 진행된 내역이 있으면 내용 검토 후 별도 조치해야 함.
-- SELECT * FROM sanctionstate_tbl WHERE docsn = '2026-11633-HF02560' AND SanctionState = 'RECEIVE'
/*
DELETE FROM 
    sanctionstate_tbl 
WHERE 
    docsn = '2026-11633-HF02560' AND SanctionState = 'RECEIVE';
*/

